/// <reference types="node" />
import { AddRecommendation, Recommendation } from "./Recommendation";
import { RecommendationRepository } from "./RecommendationRepository";
import { WellknownService } from "./WellknownService";
type MentionSendingService = {
    sendAll(options: {
        url: URL;
        links: URL[];
    }): Promise<void>;
};
export declare class RecommendationService {
    repository: RecommendationRepository;
    wellknownService: WellknownService;
    mentionSendingService: MentionSendingService;
    constructor(deps: {
        repository: RecommendationRepository;
        wellknownService: WellknownService;
        mentionSendingService: MentionSendingService;
    });
    init(): Promise<void>;
    updateWellknown(): Promise<void>;
    private sendMentionToRecommendation;
    addRecommendation(addRecommendation: AddRecommendation): Promise<Recommendation>;
    editRecommendation(id: string, recommendationEdit: Partial<Recommendation>): Promise<Recommendation>;
    deleteRecommendation(id: string): Promise<void>;
    listRecommendations(): Promise<Recommendation[]>;
}
export {};
